com.genesyslab.wfm8.API.service.scheduleTrade852

## Class SchTradeSnapshot

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  Trade Record Snapshot
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `snapshotID`
    `protected int` | `tradeCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeSnapshot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getSnapshotID()` Gets the value of the snapshotID property.
    `int` | `getTradeCount()` Gets the value of the tradeCount property.
    `int` | `hashCode()`
    `void` | `setSnapshotID(java.lang.String value)` Sets the value of the snapshotID property.
    `void` | `setTradeCount(int value)` Sets the value of the tradeCount property.
    `java.lang.String` | `toString()`
    `SchTradeSnapshot` | `withSnapshotID(java.lang.String value)`
    `SchTradeSnapshot` | `withTradeCount(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### snapshotID

          protected java.lang.String snapshotID

    - #### tradeCount

          protected int tradeCount

  - ### Constructor Detail

    - #### SchTradeSnapshot

          public SchTradeSnapshot()

  - ### Method Detail

    - #### getSnapshotID

          public java.lang.String getSnapshotID()

      Gets the value of the snapshotID property.
      Returns:
        possible object is `String`

    - #### setSnapshotID

          public void setSnapshotID(java.lang.String value)

      Sets the value of the snapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTradeCount

          public int getTradeCount()

      Gets the value of the tradeCount property.

    - #### setTradeCount

          public void setTradeCount(int value)

      Sets the value of the tradeCount property.

    - #### withSnapshotID

          public SchTradeSnapshot withSnapshotID(java.lang.String value)

    - #### withTradeCount

          public SchTradeSnapshot withTradeCount(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.